

Patch from Nick Piggin <piggin@cyberone.com.au>

Closes a window in which we can get an invalid (already dispatched) request
in the next_drq cache.




 block/deadline-iosched.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/deadline-iosched.c~deadline-dispatching-fix drivers/block/deadline-iosched.c
--- 25/drivers/block/deadline-iosched.c~deadline-dispatching-fix	2003-02-15 22:45:22.000000000 -0800
+++ 25-akpm/drivers/block/deadline-iosched.c	2003-02-15 22:45:22.000000000 -0800
@@ -98,7 +98,7 @@ struct deadline_rq {
 	unsigned long expires;
 };
 
-static inline void deadline_move_to_dispatch(struct deadline_data *dd, struct deadline_rq *drq);
+static void deadline_move_request(struct deadline_data *dd, struct deadline_rq *drq);
 
 static kmem_cache_t *drq_pool;
 
@@ -205,7 +205,7 @@ retry:
 		return;
 	}
 
-	deadline_move_to_dispatch(dd, __alias);
+	deadline_move_request(dd, __alias);
 	goto retry;
 }
 

_
